Index: trunk/LMDZ.COMMON/libf/dyn3dpar/dudv2_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/dudv2_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/dudv2_p.F	(revision 1019)
@@ -1,4 +1,4 @@
       SUBROUTINE dudv2_p ( teta, pkf, bern, du, dv  )
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/dynredem_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/dynredem_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/dynredem_p.F	(revision 1019)
@@ -7,5 +7,5 @@
       USE IOIPSL
 #endif
-      USE parallel
+      USE parallel_lmdz
       USE infotrac
       use netcdf95, only: NF95_PUT_VAR
@@ -580,5 +580,5 @@
       SUBROUTINE dynredem1_p(fichnom,time,
      .                     vcov,ucov,teta,q,masse,ps)
-      USE parallel
+      USE parallel_lmdz
       USE infotrac
       USE control_mod, only : planet_type
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/enercin_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/enercin_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/enercin_p.F	(revision 1019)
@@ -1,4 +1,4 @@
       SUBROUTINE enercin_p ( vcov, ucov, vcont, ucont, ecin )
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/exner_hyb_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/exner_hyb_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/exner_hyb_p.F	(revision 1019)
@@ -29,5 +29,5 @@
 c
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/exner_milieu_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/exner_milieu_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/exner_milieu_p.F	(revision 1019)
@@ -26,5 +26,5 @@
 c    ( voir note de Fr.Hourdin )  ,
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/filtreg_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/filtreg_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/filtreg_p.F	(revision 1019)
@@ -3,5 +3,5 @@
       SUBROUTINE filtreg_p ( champ, ibeg, iend, nlat, nbniv, 
      &     ifiltre, iaire, griscal ,iter)
-      USE Parallel, only : OMP_CHUNK
+      USE parallel_lmdz, only : OMP_CHUNK
       USE mod_filtre_fft
       USE timer_filtre
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/flumass_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/flumass_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/flumass_p.F	(revision 1019)
@@ -1,4 +1,4 @@
       SUBROUTINE flumass_p(massebx,masseby, vcont, ucont, pbaru, pbarv)
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/fluxstokenc_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/fluxstokenc_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/fluxstokenc_p.F	(revision 1019)
@@ -8,5 +8,5 @@
 
        USE IOIPSL
-       USE parallel
+       USE parallel_lmdz
        USE misc_mod
        USE mod_hallo
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/friction_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/friction_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/friction_p.F	(revision 1019)
@@ -4,5 +4,5 @@
 c=======================================================================
       SUBROUTINE friction_p(ucov,vcov,pdt)
-      USE parallel
+      USE parallel_lmdz
       USE control_mod
 #ifdef CPP_IOIPSL
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/gcm.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/gcm.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/gcm.F	(revision 1019)
@@ -10,6 +10,12 @@
 #endif
 
+
+#ifdef CPP_XIOS
+    ! ug Pour les sorties XIOS
+	USE wxios
+#endif
+
       USE mod_const_mpi, ONLY: init_const_mpi
-      USE parallel
+      USE parallel_lmdz
       USE infotrac
       USE mod_interface_dyn_phys
@@ -20,4 +26,10 @@
       USE control_mod
       use cpdet_mod, only: ini_cpdet
+
+
+#ifdef INCA
+! Only INCA needs these informations (from the Earth's physics)
+      USE indice_sol_mod
+#endif
 
 ! Ehouarn: the following are needed with (parallel) physics:
@@ -207,4 +219,11 @@
 
 !!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+! Initialisation de XIOS
+!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!!
+
+#ifdef CPP_XIOS
+	CALL wxios_init("LMDZ")
+#endif
+
 c
 c Initialisations pour Cp(T) Venus
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/geopot_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/geopot_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/geopot_p.F	(revision 1019)
@@ -1,4 +1,4 @@
       SUBROUTINE geopot_p ( ngrid, teta, pk, pks, phis, phi )
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
       
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/getparam.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/getparam.F90	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/getparam.F90	(revision 1019)
@@ -18,5 +18,5 @@
 CONTAINS
   SUBROUTINE ini_getparam(fichier)
-  USE parallel
+  USE parallel_lmdz
     !
     IMPLICIT NONE
@@ -28,5 +28,5 @@
 
   SUBROUTINE fin_getparam
-  USE parallel
+  USE parallel_lmdz
     !
     IMPLICIT NONE
@@ -37,5 +37,5 @@
 
   SUBROUTINE getparamr(TARGET,def_val,ret_val,comment)
-  USE parallel
+  USE parallel_lmdz
     !
     IMPLICIT NONE
@@ -63,5 +63,5 @@
 
   SUBROUTINE getparami(TARGET,def_val,ret_val,comment)
-  USE parallel
+  USE parallel_lmdz
     !
     IMPLICIT NONE
@@ -90,5 +90,5 @@
 
   SUBROUTINE getparaml(TARGET,def_val,ret_val,comment)
-  USE parallel
+  USE parallel_lmdz
     !
     IMPLICIT NONE
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/gr_dyn_fi_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/gr_dyn_fi_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/gr_dyn_fi_p.F	(revision 1019)
@@ -7,5 +7,5 @@
       USE mod_interface_dyn_phys
       USE dimphy
-      USE PARALLEL
+      USE parallel_lmdz
       IMPLICIT NONE
 c=======================================================================
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/gr_fi_dyn_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/gr_fi_dyn_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/gr_fi_dyn_p.F	(revision 1019)
@@ -7,5 +7,5 @@
       USE mod_interface_dyn_phys
       USE dimphy
-      use parallel
+      use parallel_lmdz
       IMPLICIT NONE
 c=======================================================================
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/gr_u_scal_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/gr_u_scal_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/gr_u_scal_p.F	(revision 1019)
@@ -25,5 +25,5 @@
 c
 c=======================================================================
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c-----------------------------------------------------------------------
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/gr_v_scal_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/gr_v_scal_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/gr_v_scal_p.F	(revision 1019)
@@ -25,5 +25,5 @@
 c
 c=======================================================================
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c-----------------------------------------------------------------------
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/grad_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/grad_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/grad_p.F	(revision 1019)
@@ -10,5 +10,5 @@
 c       pgx  et  pgy    sont des arguments de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/gradiv2_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/gradiv2_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/gradiv2_p.F	(revision 1019)
@@ -13,5 +13,5 @@
 c
 c
-      USE parallel
+      USE parallel_lmdz
       USE times
       USE Write_field_p
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/gradiv_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/gradiv_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/gradiv_p.F	(revision 1019)
@@ -14,5 +14,5 @@
 c
 c     
-      USE parallel
+      USE parallel_lmdz
       USE times
       IMPLICIT NONE
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/groupe_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/groupe_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/groupe_p.F	(revision 1019)
@@ -1,4 +1,4 @@
       subroutine groupe_p(pext,pbaru,pbarv,pbarum,pbarvm,wm)
-      USE parallel
+      USE parallel_lmdz
       implicit none
 
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/groupeun_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/groupeun_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/groupeun_p.F	(revision 1019)
@@ -1,4 +1,4 @@
       SUBROUTINE groupeun_p(jjmax,llmax,jjb,jje,q)
-      USE parallel
+      USE parallel_lmdz
       USE Write_Field_p
       IMPLICIT NONE
@@ -135,5 +135,5 @@
       SUBROUTINE INIT_GROUPEUN_P(airen_tab, aires_tab)
 
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/guide_p_mod.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/guide_p_mod.F90	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/guide_p_mod.F90	(revision 1019)
@@ -292,5 +292,5 @@
 !=======================================================================
   SUBROUTINE guide_main(itau,ucov,vcov,teta,q,masse,ps)
-    use parallel
+    use parallel_lmdz
     USE control_mod
     
@@ -653,5 +653,5 @@
 !=======================================================================
   SUBROUTINE guide_interp(psi,teta)
-  USE parallel
+  USE parallel_lmdz
   USE mod_hallo
   USE Bands
@@ -1636,5 +1636,5 @@
 !=======================================================================
   SUBROUTINE guide_out(varname,hsize,vsize,field,factt)
-    USE parallel
+    USE parallel_lmdz
     IMPLICIT NONE
 
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/initdynav_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/initdynav_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/initdynav_p.F	(revision 1019)
@@ -8,5 +8,5 @@
        USE IOIPSL
 #endif
-       use parallel
+       use parallel_lmdz
        use Write_field
        use misc_mod
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/initfluxsto_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/initfluxsto_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/initfluxsto_p.F	(revision 1019)
@@ -10,5 +10,5 @@
        USE IOIPSL
 #endif
-       use parallel
+       use parallel_lmdz
        use Write_field
        use misc_mod
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/inithist_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/inithist_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/inithist_p.F	(revision 1019)
@@ -9,5 +9,5 @@
        USE IOIPSL
 #endif
-       use parallel
+       use parallel_lmdz
        use Write_field
        use misc_mod
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/integrd_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/integrd_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/integrd_p.F	(revision 1019)
@@ -5,5 +5,5 @@
      $  (  nq,vcovm1,ucovm1,tetam1,psm1,massem1,
      $     dv,du,dteta,dq,dp,vcov,ucov,teta,q,ps0,masse,phis) !,finvmaold)
-      USE parallel
+      USE parallel_lmdz
       USE control_mod, only : planet_type
       IMPLICIT NONE
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/laplacien_gam_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/laplacien_gam_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/laplacien_gam_p.F	(revision 1019)
@@ -11,5 +11,5 @@
 c      divgra     est  un argument  de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/laplacien_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/laplacien_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/laplacien_p.F	(revision 1019)
@@ -9,5 +9,5 @@
 c      divgra     est  un argument  de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/laplacien_rot_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/laplacien_rot_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/laplacien_rot_p.F	(revision 1019)
@@ -10,5 +10,5 @@
 c      rotout           est  un argument  de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/laplacien_rotgam_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/laplacien_rotgam_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/laplacien_rotgam_p.F	(revision 1019)
@@ -9,5 +9,5 @@
 c      divgra     est  un argument  de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/leapfrog_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/leapfrog_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/leapfrog_p.F	(revision 1019)
@@ -9,5 +9,5 @@
 
        USE misc_mod
-       USE parallel
+       USE parallel_lmdz
        USE times
        USE mod_hallo
@@ -24,4 +24,8 @@
        use sponge_mod_p, only: callsponge,mode_sponge,sponge_p
 
+#ifdef CPP_XIOS
+    ! ug Pour les sorties XIOS
+	USE wxios
+#endif
       IMPLICIT NONE
 
@@ -1097,4 +1101,11 @@
 !   Academic case : Simple friction and Newtonan relaxation 
 !   -------------------------------------------------------
+c$OMP MASTER
+         if (FirstPhysic) then
+           ok_start_timer=.TRUE.
+           FirstPhysic=.false.
+         endif
+c$OMP END MASTER
+
        ijb=ij_begin
        ije=ij_end
@@ -1517,4 +1528,9 @@
 
 c$OMP MASTER
+
+#ifdef CPP_XIOS
+    !Fermeture propre de XIOS
+      CALL wxios_close()
+#endif
               call fin_getparam
               call finalize_parallel
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/massbar_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/massbar_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/massbar_p.F	(revision 1019)
@@ -13,5 +13,5 @@
 c     
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/massbarxy_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/massbarxy_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/massbarxy_p.F	(revision 1019)
@@ -1,4 +1,4 @@
       SUBROUTINE massbarxy_p(  masse, massebxy )
-      USE parallel
+      USE parallel_lmdz
       implicit none
 c **********************************************************************
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/massdair_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/massdair_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/massdair_p.F	(revision 1019)
@@ -1,4 +1,4 @@
       SUBROUTINE massdair_p( p, masse )
-      USE parallel
+      USE parallel_lmdz
 c
 c *********************************************************************
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/mod_hallo.F90
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/mod_hallo.F90	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/mod_hallo.F90	(revision 1019)
@@ -1,4 +1,4 @@
 module mod_Hallo
-USE parallel
+USE parallel_lmdz
 implicit none
   logical,save :: use_mpi_alloc
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/nxgrad_gam_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/nxgrad_gam_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/nxgrad_gam_p.F	(revision 1019)
@@ -9,5 +9,5 @@
 c       x  et y    sont des arguments de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/nxgrad_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/nxgrad_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/nxgrad_p.F	(revision 1019)
@@ -9,5 +9,5 @@
 c       x  et y    sont des arguments de sortie pour le s-prog
 c
-      USE parallel
+      USE parallel_lmdz
       IMPLICIT NONE
 c
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/nxgraro2_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/nxgraro2_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/nxgraro2_p.F	(revision 1019)
@@ -13,5 +13,5 @@
 c
       USE write_Field_p
-      USE parallel
+      USE parallel_lmdz
       USE times
       USE mod_hallo
Index: trunk/LMDZ.COMMON/libf/dyn3dpar/nxgrarot_p.F
===================================================================
--- trunk/LMDZ.COMMON/libf/dyn3dpar/nxgrarot_p.F	(revision 1018)
+++ trunk/LMDZ.COMMON/libf/dyn3dpar/nxgrarot_p.F	(revision 1019)
@@ -13,5 +13,5 @@
 c
 c
-      USE parallel
+      USE parallel_lmdz
       USE times
       USE write_field_p
